/*+++*
 *  title:	optutil.h
 *  RCS         $Id: optutil.h,v 1.1 1996/12/01 17:03:27 tom Exp $
 *  abstract:	command-line option handling support stuff.
 *  author:	Tom Hageman, The Netherlands <tom@basil.icce.rug.nl>
 *  created:	November 1996
 *  modified:	
 *---*/

#define EXIT_USAGE	2

// dummy exit codes -- the calling process never sees these.
#define EXIT_HELP	(-2)
#define EXIT_VERSION	(-3)

extern int getopt(int ac,char *av[],char *opts);
extern int optind;
extern char *optarg;

const char *basename(const char *path);

extern const char *_progname;

static inline void set_progname(const char *name)  { _progname=basename(name); }
static inline const char *progname()               { return _progname; }

void handle_usage_help_version(int what, const char *usage, const char *help);
